## NAME

           psrose  - Plot (length, azimuth) as windrose diagram or polar histogram
           (sector or rose diagram).

## SYNOPSIS

           psrose file [ -Asector_width[r] ] [ -Btickinfo ] [  -C[mode-file]  ]  [
           -Eazimuth/elevation ] [ -Gfill ] [ -H[nrec] ] [ -I ] [ -K ] [ -M[param-
           eters ] [ -O ] [ -P ] [ -Rr0/r1/az_0/az_1 ] [ -Sradial_scale[n] ] [  -T
           ] [ -U[/dx/dy/][label] ] [ -V ] [ -Wpen ] [ -Xx-shift ] [ -Yy-shift ] [
           -Zscale ] [ -ccopies ] [ -: ] [ -bi[s][n] ]

## DESCRIPTION

           psrose reads (length,azimuth) pairs from file [or standard  input]  and
           generates PostScript code that will plot a windrose diagram. Optionally
           (with -A), polar histograms may be drawn (sector diagram or  rose  dia-
           gram).  Options  include  full  circle  and  half  circle  plots.   The
           PostScript code is written to standard output.

           file   Name of ASCII [or binary, see -b]  data  file.  If  no  file  is
                  given, psrose will read standard input.

## OPTIONS

           No space between the option flag and the associated arguments.

           -A     Gives  the  sector width in degrees for sector and rose diagram.
                  [Default 0 means windrose diagram]. Append r to draw  rose  dia-
                  gram instead of sector diagram.

           -B     Sets map boundary tickmark intervals; see the psbasemap man page
                  for details.  Remember that "x" here is radial distance and  "y"
                  is azimuth. The ylabel may be used to plot a figure caption.

           -C     Plot vectors showing the principal directions given in the modes
                  file. If no file is given, compute and plot mean direction.

           -E     Sets the viewpoint’s azimuth and elevation [180/90]’

           -G     Selects shade or color for sector infill [Default is no fill].

           -G     Set fill of positive wiggles. [Default  is  black]  Specify  the
                  shade (0-255) or color (r/g/b), or -Gpdpi/pattern, where pattern
                  gives the number of the built-in pattern (1-90) OR the name of a
                  Sun  1-,  8-, or 24-bit raster file.  dpi sets the resolution of
                  the image. For 1-bit rasters: use  -GP  for  inverse  video,  or
                  append  :Fr/g/b[B[r/g/b]] to specify fore- and background colors
                  (use r/g/b = - for transparency).  See GMT Cookbook &  Technical
                  Reference Appendix E for information on individual patterns.

           -H     Input file(s) has Header record(s). Number of header records can
                  be changed by editing  your  .gmtdefaults  file.  If  used,  GMT
                  default is 1 header record.

           -I     Inquire.  Computes  statistics  needed  to specify useful -R. No
                  plot is generated.

           -K     More PostScript code will be appended later [Default  terminates
                  the plot system].

           -M     Specify    new   arrow   attributes   tailwidth/headlength/head-
                  width/r/g/b to change the appearance of arrows (Only  if  -C  is
                  set).      [Default      is      0.075c/0.3c/0.25c/0/0/0     (or
                  0.03i/0.12i/0.1i/0/0/0)].

           -O     Selects Overlay plot mode [Default initializes a new  plot  sys-
                  tem].

           -P     Selects  Portrait  plotting  mode [GMT Default is Landscape, see
                  gmtdefaults to change this].

           -R     Specifies the ’region’ of interest in (r,azimuth) space.  r0  is
                  0,  r1  is  max length in units. For azimuth, specify -90/90 for
                  half circle plot or 0/360 for full circle.

           -S     Specifies radius of circle. Append n to normalize input radii to
                  go from 0 to 1.

           -T     Specifies  that  the  input  data is orientation data (has a 180
                  degree  ambiguity)  instead  of  true  0-360  degree  directions
                  [Default].

           -U     Draw  Unix System time stamp on plot. User may specify where the
                  lower left corner of the stamp should fall on the page  relative
                  to  lower  left corner of plot. Optionally, append a label, or c
                  (which will  plot  the  command  string.).  The  GMT  parameters
                  UNIX_TIME  and  UNIX_TIME_POS can affect the appearance; see the
                  gmtdefaults man page for details.

           -V     Selects verbose mode, which will send progress reports to stderr
                  [Default runs "silently"].

           -W     Set  pen attributes for sector outline or rose plot. [Default is
                  no outline].

           -X -Y  Shift origin of plot by (x-shift,y-shift).  Prepend a for  abso-
                  lute coordinates; the default (r) will reset plot origin.

           -Z     Multiply  the  data radii by scale. E.g., use -Z0.001 to convert
                  your data from m to km [Default is no scaling].

           -c     Specifies the number of plot copies. [Default is 1]

           -:     Input file has (azimuth,radius) pairs rather than  the  expected
                  (radius,azimuth).

           -bi    Selects  binary input. Append s for single precision [Default is
                  double].  Append n for the  number  of  columns  in  the  binary
                  file(s).  [Default is 2 input columns].

## EXAMPLES

           To  plot  a half circle rose diagram of the data in the file fault_seg-
           ments.az_r (containing pairs of (azimuth, length in meters), using a 10
           degree bin sector width, on a circle of radius = 3 inch, grid going out
           to radius = 150 km in steps of 25 km with a 30 degree sector  interval,
           radial  direction  annotated  every  50  km, using a light blue shading
           (200/240/255) outlined by a solid red pen (width = 0.75  points),  draw
           the mean azimuth, and shown in Portrait orientation, try:

           psrose      fault_segments.az_r      -R0/150/-90/90      -B50g25:"Fault
           length":/g30:."Rose diagram": -S3i -A10r -G200/240/255  -W0.75p/255/0/0
           -Z0.001 -C -P -T -: | lpr

           To  plot  a  full  circle  wind  rose  diagram  of the data in the file
           lines.r_az, on a circle of radius = 5 cm, grid going out  to  radius  =
           500  units  in  steps  of 100 with a 45 degree sector interval, using a
           solid pen (width = 0.5 point), and shown in landscape [Default]  orien-
           tation with UNIX timestamp and command line plotted, try:

           psrose  lines.az_r  -R0/500/0/360  -S5c -Bg100/g45:."Windrose diagram":
           -W0.5p -Uc | lpr

## BUGS

           No default radial scale and grid settings for  polar  histograms.  User
           must run psrose -I to find max length in binned data set.

## SEE ALSO

           gmt(l), gmtdefaults(l), pshistogram(l)

    GMT3.4.6                          1 Jan 2005                         PSROSE(l)